MONGOC_DATABASE_GET_READ_PREFS(3)

NAME
mongoc_database_get_read_prefs - mongoc_database_get_read_prefs()

SYNOPSIS

        const mongoc_read_prefs_t *
        mongoc_database_get_read_prefs (const mongoc_database_t *database);

Fetches the default read preferences to use with database.

PARAMETERS

    •   database: A mongoc_database_t.

RETURNS

A mongoc_write_concern_t that should not be modified or freed.

AUTHOR
MongoDB, Inc

COPYRIGHT
2018, MongoDB, Inc